using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerAnimationHandler 
{

    private static int IDLE = 0;

    private static int MOVEMENT = 1;

    private static string MOVEMENT_PARAMETER = "MOVE";

    private Animator animator;
    
    public PlayerAnimationHandler(GameObject player)
    {
        this.animator = player.GetComponent<Animator>();
    }

    public void SetMovement()
    {
        animator.SetInteger(MOVEMENT_PARAMETER, MOVEMENT);
    }

    public void SetIdle()
    {
        animator.SetInteger(MOVEMENT_PARAMETER, IDLE);
    }


}
